package ar.edu.utn.frba.tadp.subastas.domain;

import java.math.BigDecimal;

public class Oferta {

	private Usuario usuarioOferente;
	private BigDecimal valor;
	
	public Oferta(Usuario usuario, BigDecimal valor) {
		this.usuarioOferente = usuario;
		this.valor = valor;
	}

	public BigDecimal getValor() {
		return valor;
	}

	public boolean supera(Oferta otraOferta) {
		return this.getValor().compareTo(otraOferta.getValor()) > 0;
	}
	
	public boolean esDeUsuario(Usuario usuario) {
		return this.usuarioOferente.equals(usuario);
	}
}
