package ar.edu.utn.frba.tadp.subastas.domain;

import java.math.BigDecimal;

public class OfertaAutomatica implements OfertaObserver {

	private Usuario usuario;
	private BigDecimal ofertaBase;
	private BigDecimal incremento;
	private BigDecimal valorMaximo;
	
	public OfertaAutomatica(Usuario usuario, BigDecimal ofertaBase, BigDecimal incremento, BigDecimal valorMaximo) {
		this.usuario = usuario;
		this.ofertaBase = ofertaBase;
		this.incremento = incremento;
		this.valorMaximo = valorMaximo;
	}

	@Override
	public void notificarNuevaOferta(Subasta subasta) {
		if (subasta.getMejorOferta().esDeUsuario(this.usuario)) {
			return;
		}
		BigDecimal valorAOfertar = subasta.getMejorOferta().getValor().add(this.incremento); 
		if (valorAOfertar.compareTo(valorMaximo) < 0) {
			subasta.ofertar(usuario, valorAOfertar);
		}
	}

	
}
